org.apache.sysds.hops.codegen.opt

## Class InterestingPoint

- java.lang.Object
- - org.apache.sysds.hops.codegen.opt.InterestingPoint

    public class InterestingPoint
    extends Object

Interesting decision point with regard to materialization of intermediates. These points are defined by a type, as well as hop ID for consumer-producer relationships. Equivalence is defined solely on the hop IDs, to simplify their processing and avoid redundant enumeration.

### Nested Class Summary

Nested Classes
`static class` `InterestingPoint.DecisionType`

### Field Summary

Fields
`long` `_fromHopID`
`long` `_toHopID`

### Constructor Summary

Constructors
Constructor and Description
`InterestingPoint(InterestingPoint.DecisionType type, long fromHopID, long toHopID)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`long` `getFromHopID()`
`long` `getToHopID()`
`InterestingPoint.DecisionType` `getType()`
`int` `hashCode()`
`static boolean` `isMatPoint(InterestingPoint[] list, long from, CPlanMemoTable.MemoTableEntry me, boolean[] plan)`
`static boolean` `isMatPoint(InterestingPoint[] list, long from, long to)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _fromHopID

    public final long _fromHopID

#### _toHopID

    public final long _toHopID

### Constructor Detail

#### InterestingPoint

    public InterestingPoint(InterestingPoint.DecisionType type,
                            long fromHopID,
                            long toHopID)

### Method Detail

#### getType

    public InterestingPoint.DecisionType getType()

#### getFromHopID

    public long getFromHopID()

#### getToHopID

    public long getToHopID()

#### isMatPoint

    public static boolean isMatPoint(InterestingPoint[] list,
                                     long from,
                                     CPlanMemoTable.MemoTableEntry me,
                                     boolean[] plan)

#### isMatPoint

    public static boolean isMatPoint(InterestingPoint[] list,
                                     long from,
                                     long to)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`